﻿#include "define.h"
#include "s-buffer.h"

	coherent uniform uint *next_address[COUNTERS];

	layout(binding = 0, r32ui) writeonly uniform uimage2DRect image_counter;
	layout(binding = 4, r32ui) writeonly uniform uimage2DRect image_semaphore;
	layout(binding = 5, r32ui) writeonly uniform uimage2DRect image_counter_total;

	void resetPixelSemaphore	(		) {imageStore(image_semaphore, ivec2 (gl_FragCoord.xy), uvec4(0U));}
	void resetPixelCounter		(		) {imageStore(image_counter	 , ivec2 (gl_FragCoord.xy), uvec4(0U));}
	void resetPixelCounterTotal	(		) {imageStore(image_counter_total, ivec2 (gl_FragCoord.xy), uvec4(0U));}
	void resetSharedNextAddress (int j	) {(*next_address[j]) = 0U;}

	void main(void)
	{
		resetPixelCounter();
		resetPixelCounterTotal();
		resetPixelSemaphore();

		int id = int(gl_FragCoord.y);
		if(id < COUNTERS)
			resetSharedNextAddress(id);
	}