﻿#include "define.h"
#include "s-buffer.h"

	coherent uniform uint *next_address[COUNTERS];

#if atomic
	layout(binding = 0, r32ui) writeonly uniform uimage2DRect image_counter;

	void resetPixelCounter		(		)	{imageStore(image_counter, ivec2 (gl_FragCoord.xy), uvec4(0U));}
#endif 
	void resetSharedNextAddress (int j	)	{(*next_address[j]) = 0U;}

void main(void)
{
#if atomic
	resetPixelCounter();
#endif
	int id = int(gl_FragCoord.y);
	if(id < COUNTERS)
		resetSharedNextAddress(id);
}