﻿#include "define.h"
#include "s-buffer.h"

			 uniform  int  width;
	coherent uniform uint *next_address[COUNTERS];

#if atomic
	layout(binding = 0, r32ui) writeonly uniform uimage2DRect image_counter;

	void setPixelCounter	  (uint val)		 {imageStore(image_counter	 , ivec2 (gl_FragCoord.xy), uvec4(val, 0U, 0U, 0U) );}
#endif 
	void setSharedNextAddress (int j, uint val)	 {(*next_address[j]) = val;}

void main(void)
{
#if atomic
	setPixelCounter		 (0U);
#endif
	int id = int(gl_FragCoord.y);
	if(id < COUNTERS)
		setSharedNextAddress(id, 0U);
}