﻿#include "define.h"

	layout(binding = 5, r32ui) coherent uniform uimage2DRect image_counter_total;
	
	uint getPixelFragCounterTotal() { return	imageLoad		(image_counter_total, ivec2(gl_FragCoord.xy)).x  ;}
	void incPixelFragCounterTotal() {		    imageAtomicAdd	(image_counter_total, ivec2(gl_FragCoord.xy), 1U);}

	void main(void)
	{
		if(getPixelFragCounterTotal() < HEAP_SIZE)
			incPixelFragCounterTotal();
		else
			discard;
	}