﻿#include "define.h"
#include "s-buffer.h"

	uniform uint *final_address[COUNTERS];

	layout(binding = 1, r32ui) readonly  uniform uimage2DRect  image_next;
	layout(binding = 2, r32f ) writeonly uniform  imageBuffer  image_peel_depth;

	uint  getPixelFragNextAddress	(				 ) { return imageLoad  (image_next   , ivec2(gl_FragCoord.xy)).r;}
	void  sharedPoolResetDepthValue	(const uint index) { imageStore	(image_peel_depth, int(index), vec4 (1.0f,0.0f,0.0f,0.0f));}

	void main(void)
	{
		uint  address = getPixelFragNextAddress();
		int   hash_id = hashFunction(ivec2(gl_FragCoord.xy));
		uint  start   = (*final_address[hash_id]) + address;

		sharedPoolResetDepthValue(start);
	}