﻿#include "define.h"
#include "s-buffer.h"

#if atomic

	layout(binding = 0, r32ui) coherent uniform uimage2DRect image_counter;
	
	void incPixelFragCounter()	{ imageAtomicAdd(image_counter, ivec2(gl_FragCoord.xy), 1U);}

	void main(void)
	{
		incPixelFragCounter();
	}

#else

	layout(location = 0, index = 0) out vec4 out_frag_counter;

	void main(void)
	{
		out_frag_counter.r = 1.0f;
	}

#endif