﻿#include "define.h"

	layout(binding = 0, r32ui) writeonly uniform uimage2DRect image_next;
	layout(binding = 1, r32ui) writeonly uniform uimage2DRect image_counter;
	layout(binding = 2, r32ui) writeonly uniform uimage2DRect image_semaphore;

	void resetPixelCurrentPageID() { imageStore(image_next     , ivec2(gl_FragCoord.xy), uvec4(0U, 0U, 0U, 0U) );}
	void resetPixelFragCounter  () { imageStore(image_counter  , ivec2(gl_FragCoord.xy), uvec4(0U, 0U, 0U, 0U) );}
	void resetSemaphore		    () { imageStore(image_semaphore, ivec2(gl_FragCoord.xy), uvec4(0U, 0U, 0U, 0U) );}
	
	void main(void)
	{
		resetPixelCurrentPageID();
		resetPixelFragCounter  ();
		resetSemaphore		   ();
	}